Name:           datovka
Version:        3.1
Release:        1%{?dist}
Summary:        A free graphical interface for Czech Databox (Datové schránky)
Group:          Applications/Communications
License:        LGPLv2+
URL:            http://labs.nic.cz/datove-schranky/
Source0:        http://www.nic.cz/public_media/datove_schranky/releases/src/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       python-dslib >= 2.0, python-reportlab, python-sqlalchemy
Requires:       pygtk2, python-pyasn1, dejavu-sans-fonts
BuildRequires:  python-setuptools, desktop-file-utils

%description
GUI application allowing access to Czech Databox - an electronic communication
interface endorsed by the Czech government.

%prep
%setup -q

sed -i 's/Office/Office;/g' %{name}.desktop

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --single-version-externally-managed \
    --root=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

# move docs to right place
mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/doc/* %{buildroot}%{_docdir}/%{name}
rmdir %{buildroot}%{_datadir}/%{name}/doc

# remove hashbangs
pushd %{buildroot}%{python_sitelib}/%{name}
for f in *.py
do
  sed -i '/^[ \t]*#!\/usr\/bin\/env/ d' $f
done
popd

%find_lang %{name}

%post
%{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    %{_bindir}/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
%{_bindir}/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc LICENSE README.txt
%{python_sitelib}/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*

%changelog
* Thu Sep 18 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 3.1-1
- New version
  Resolves: rhbz#1142899

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug  5 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 3.0.3-4
- Used unversioned doc location
  Resolves: rhbz#992109

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan  7 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 3.0.3-1
- New version

* Fri Dec 21 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 3.0.2-1
- New version

* Wed Dec 19 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 3.0-1
- New version
- Removed use-sysfont patch (not needed)

* Tue Oct  2 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-3
- Unbundled fonts

* Tue Sep 25 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-2
- Replaced some hardcoded paths by macros

* Wed Sep 05 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-1
- Initial version
